LIBTRACEEVENT(3)

NAME
tep_get_cpus, tep_set_cpus - Get / set the number of CPUs, which have a tracing buffer representing it. Note, the buffer may be empty.

SYNOPSIS

#include <event-parse.h>
int tep_get_cpus(struct tep_handle *tep);
void tep_set_cpus(struct tep_handle *tep, int cpus);

DESCRIPTION

The tep_get_cpus() function gets the number of CPUs, which have a tracing buffer representing it. The tep argument is trace event parser context.

The tep_set_cpus() function sets the number of CPUs, which have a tracing buffer representing it. The tep argument is trace event parser context. The cpu argument is the number of CPUs with tracing data.

RETURN VALUE

The tep_get_cpus() functions returns the number of CPUs, which have tracing data recorded.

EXAMPLE

    #include <event-parse.h>
    ...
    struct tep_handle *tep = tep_alloc();
    ...
            tep_set_cpus(tep, 5);
    ...
            printf("We have tracing data for %d CPUs", tep_get_cpus(tep));

FILES

    event-parse.h
            Header file to include in order to have access to the library APIs.
    -ltraceevent
            Linker switch to add when building a program that uses the library.

SEE ALSO

libtraceevent(3), trace-cmd(1)

AUTHOR

    Steven Rostedt <rostedt@goodmis.org[1]>, author of libtraceevent.
    Tzvetomir Stoyanov <tz.stoyanov@gmail.com[2]>, author of this man page.

REPORTING BUGS

Report bugs to <linux-trace-devel@vger.kernel.org[3]>

LICENSE

libtraceevent is Free Software licensed under the GNU LGPL 2.1

RESOURCES

https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/

NOTES

1.  rostedt@goodmis.org
    mailto:rostedt@goodmis.org

2.  tz.stoyanov@gmail.com
    mailto:tz.stoyanov@gmail.com

3.  linux-trace-devel@vger.kernel.org
    mailto:linux-trace-devel@vger.kernel.org